Bug 458250 - (CVE-2008-2939) CVE-2008-2939 httpd: mod_proxy_ftp globbing XSS
CVE-2008-2939 httpd: mod_proxy_ftp globbing XSS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20080805,reported=20080805,sou...
: Security
Depends On: 468837 468838 468839 468840 468841
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 05:55 EDT by Mark J. Cox (Product Security)
Modified: 2016-03-04 06:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the mod_proxy_ftp module. Where Apache is configured to support ftp-over-httpd proxying, a remote attacker could perform a cross-site scripting attack. (CVE-2008-2939)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 13:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-08-07 05:55:36 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2939 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in proxy_ftp.c in the mod_proxy_ftp module in Apache 2.0.63 and earlier, and mod_proxy_ftp.c in the mod_proxy_ftp module in Apache 2.2.9 and earlier 2.2 versions, allows remote attackers to inject arbitrary web script or HTML via wildcards in a pathname in an FTP URI.

This is low severity as it requires proxying to be enabled, mod_proxy-ftp to be 
enabled to support ftp-over-httpd.

http://httpd.apache.org/security/vulnerabilities_22.html
Comment 4 Mark J. Cox (Product Security) 2008-10-28 07:15:49 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
A flaw was found in the mod_proxy_ftp module.  Where Apache is configured to support ftp-over-httpd proxying, a remote attacker could perform a cross-site scripting attack.  (CVE-2008-2939)
Comment 6 errata-xmlrpc 2010-08-04 17:31:45 EDT
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html
Comment 7 Vincent Danen 2013-05-08 13:30:30 EDT
This issue has been addressed in Red Hat Enterprise Linux 3, 4 and 5.  For more information see:

https://access.redhat.com/security/cve/CVE-2008-2364

Note You need to log in before you can comment on or make changes to this bug.